Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.composites
Class AddRepositoryCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.composites.AddRepositoryCompositeImpl

All Implemented Interfaces:
  CompositeProvider, AddRepositoryComposite

    public class AddRepositoryCompositeImpl

extends Object
implements AddRepositoryComposite

This `AddRepositoryComposite` provides a Composite which allows to create a new Repository. This class alsa defines a Listener for name, label description and provider changes.

Author:
  Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.ui.common.AddRepositoryComposite
`AddRepositoryComposite.AddRepositoryChangeListener`

Constructor Summary
`AddRepositoryCompositeImpl(ECPProvider provider)` Constructor to use if a specific provider should be used.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createUI(org.eclipse.swt.widgets.Composite parent)` This method creates a UI bundled into a `Composite` that can be used anywhere.
`void` | `dispose()` Disposes this composite provider.
`ECPProperties` | `getProperties()` The `ECPProperties` for the Repository to create.
`ECPProvider` | `getProvider()` Gets the selected or set `ECPProvider` for this repository.
`String` | `getRepositoryDescription()` The description for the Repository to create.
`String` | `getRepositoryLabel()` The label for the Repository to create.
`String` | `getRepositoryName()` The name for the Repository to create.
`void` | `setListener(AddRepositoryComposite.AddRepositoryChangeListener listener)` Register a `AddRepositoryComposite.AddRepositoryChangeListener`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddRepositoryCompositeImpl

    public AddRepositoryCompositeImpl(ECPProvider provider)

  Constructor to use if a specific provider should be used.

  Parameters:
    `provider` - the `ECPProvider` to use for this repository

Method Detail

### createUI

    public org.eclipse.swt.widgets.Composite createUI(org.eclipse.swt.widgets.Composite parent)

  This method creates a UI bundled into a `Composite` that can be used anywhere.

  Specified by:
    `createUI` in interface `CompositeProvider`
  Parameters:
    `parent` - the parent `Composite`
  Returns:
    the created `Composite`

### getProvider

    public ECPProvider getProvider()

  Gets the selected or set `ECPProvider` for this repository.

  Specified by:
    `getProvider` in interface `AddRepositoryComposite`
  Returns:
    the `ECPProvider` for the creation of the repository

### getRepositoryName

    public String getRepositoryName()

  The name for the Repository to create.

  Specified by:
    `getRepositoryName` in interface `AddRepositoryComposite`
  Returns:
    the name of the repository

### getRepositoryDescription

    public String getRepositoryDescription()

  The description for the Repository to create.

  Specified by:
    `getRepositoryDescription` in interface `AddRepositoryComposite`
  Returns:
    the description of the repository

### getProperties

    public ECPProperties getProperties()

  The `ECPProperties` for the Repository to create.

  Specified by:
    `getProperties` in interface `AddRepositoryComposite`
  Returns:
    the properties of the repository

### getRepositoryLabel

    public String getRepositoryLabel()

  The label for the Repository to create.

  Specified by:
    `getRepositoryLabel` in interface `AddRepositoryComposite`
  Returns:
    the label of the repository

### setListener

    public void setListener(AddRepositoryComposite.AddRepositoryChangeListener listener)

  Register a `AddRepositoryComposite.AddRepositoryChangeListener`.

  Specified by:
    `setListener` in interface `AddRepositoryComposite`
  Parameters:
    `listener` - the listener to set

### dispose

    public void dispose()

  Disposes this composite provider.

  Specified by:
    `dispose` in interface `CompositeProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.